#pragma once

#include "CoreMinimal.h"
#include "SpecialEventUIInfo.generated.h"

USTRUCT(BlueprintType)
struct FSpecialEventUIInfo
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FString EventId;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString EventBannerFrameLabel;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString EventThemeFrameLabel;

	UPROPERTY(BlueprintReadWrite, Transient)
	FText EventName;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsPastEvent;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool HasStarted;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsLTE;

	UPROPERTY(BlueprintReadWrite, Transient)
	FString BloodwebCollectSoundEvent;

public:
	DEADBYDAYLIGHT_API FSpecialEventUIInfo();
};

FORCEINLINE uint32 GetTypeHash(const FSpecialEventUIInfo) { return 0; }
